/* alterar.cpp */

#include <stdio.h>
#include <conio.h>
#include <string.h>
#include "tela.h"
#include "definic.h"
#include "arquivo.h"
#include "bibliot.h"
#include "alterar.h"

/*--------------------------------------------------------------------------*\
 | alterar - Funcao de alto nivel que une as operacoes de alteracao e con-  |
 |           sulta no mesmo codigo.                                         |
 |                                                                          |
 | Recebe - O nome do arquivo e a sua estrutura (formato)                   |
 |                                                                          |
 | Retorna - Nada.                                                          |
\*--------------------------------------------------------------------------*/

void alterar (char *nome_arquivo, formato_arquivo fmt)
{
  char nome_arquivo_dados [15];

  strcpy (nome_arquivo_dados, nome_arquivo);
  strcat (nome_arquivo_dados, EXTENSAO_DADOS); // Arquivo de dados

  disco d_alteracao (nome_arquivo_dados);

  void **registro = cria_registro (fmt);
  char *buffer = new char [fmt.tamanho_registro + 1];

  int chave = escolhe_chave (fmt);
  int posicao, abandona;

  do {
    if ((posicao = procura_registro (nome_arquivo, registro, fmt, chave))
	 != TERMINAR) {
      if (abandona = edita_estrutura ("CONSULTA/ALTERACAO", fmt, registro)) {
	registro_para_buffer (fmt, buffer, registro);
	d_alteracao.grave_buffer (buffer, fmt.tamanho_registro, posicao);
	posicao = TERMINAR;   // Sair do loop
      }
      zera_registro (registro, fmt);
    }
  } while (posicao != TERMINAR && abandona);

  delete buffer;
  destroi_registro (registro, fmt);
}

