/* arquivo.h */

#define VERDADEIRO 1
#define FALSO      0

#define SUCESSO    1
#define ERRO       0

#define DELETADO   "*"  // estado de um registro deletado

#define TERMINAR  -1

class disco {

protected:

  FILE *fp_arq_base;             // arquivo que contem a base de dados

  char *cpz_identif_arq_base;    // nome da entrada do arquivo de base no DOS

public:

  disco (void);

  disco (const char *cpz_nome_arq_base);

  void crie_arquivos (const char *cpz_nome_arq_base);

  /* funcoes membro para o arquivo de base */

  void leia_buffer (char *cpz_buffer, const int i_tam, const int i_posic);

  int leia_arq_base (const char *cpz_formato, const char *cpz_argumento);

  int leia_arq_base (const char *cpz_formato, const char c_argumento);

  int leia_arq_base (const char *cpz_formato, const int &i_argumento);

  int leia_arq_base (const char *cpz_formato, const float &f_argumento);

  int grave_buffer (char *cpz_buffer, const int i_tam);

  void grave_buffer (char *cpz_buffer, const int i_posicao,
		       const int i_tam);

  int grave_arq_base (const char *cpz_formato, const char *cpz_argumento);

  int grave_arq_base (const char *cpz_formato, const char c_argumento);

  int grave_arq_base (const char *cpz_formato, const int i_argumento);

  int grave_arq_base (const char *cpz_formato, const float f_argumento);

  void prepara_busca (void);

  int procura_buffer (char *buffer, const int i_tamanho,
			 const int i_comeco, const int i_tamanho_chave,
			 char *cpz_chave, int &i_posic);

  void delete_reg_arq_base (const int i_tam, const int i_posic);

  ~disco (void);

};

