/* excluir.cpp */

#include <stdio.h>
#include <conio.h>
#include <string.h>
#include "tela.h"
#include "definic.h"
#include "arquivo.h"
#include "bibliot.h"
#include "excluir.h"


/*--------------------------------------------------------------------------*\
 | excluir - executa a delecao de um registro no arquivo. Permite encontrar |
 |           o registro por qualquer chave.                                 |
 |                                                                          |
 | Recebe - O nome do arquivo e o seu formato.                              |
 |                                                                          |
 | Retorna - Nada.                                                          |
\*--------------------------------------------------------------------------*/



void excluir (char *nome_arquivo, formato_arquivo fmt)
{
  char nome_arquivo_dados [15];

  strcpy (nome_arquivo_dados, nome_arquivo);
  strcat (nome_arquivo_dados, EXTENSAO_DADOS);

  disco d_exclusao (nome_arquivo_dados);

  void **registro = cria_registro (fmt);

  int chave = escolhe_chave (fmt);
  int posicao;

  if ((posicao = procura_registro(nome_arquivo,registro, fmt, chave))!= -1)
    d_exclusao.delete_reg_arq_base (fmt.tamanho_registro, posicao);

  destroi_registro (registro, fmt);
}

