/* incluir.cpp */

#include <stdio.h>
#include <conio.h>
#include <string.h>
#include "tela.h"
#include "definic.h"
#include "arquivo.h"
#include "bibliot.h"


/*--------------------------------------------------------------------------*\
 | incluir - Permite ao usuario entrar com os dados de um novo registro     |
 |           no arquivo.                                                    |
 |                                                                          |
 | Recebe - O nome do arquivo e o seu respectivo formato.                   |
 |                                                                          |
 | Retorna - Nada.                                                          |
\*--------------------------------------------------------------------------*/


void incluir (char *nome_arquivo, formato_arquivo fmt)
{
  char nome_arquivo_dados [15];

  strcpy (nome_arquivo_dados, nome_arquivo);
  strcat (nome_arquivo_dados, EXTENSAO_DADOS);

  disco d_inclusao (nome_arquivo_dados);

  void **registro = cria_registro (fmt);
  char *buffer = new char [fmt.tamanho_registro + 1];

  while (edita_estrutura ("INCLUSAO", fmt, registro)) {
    registro_para_buffer (fmt, buffer, registro);
    d_inclusao.grave_buffer (buffer, fmt.tamanho_registro);
    zera_registro (registro, fmt);
  }

  delete buffer;
  destroi_registro (registro, fmt);
}

