/* main.cpp */

#include <stdio.h>
#include <conio.h>
#include "tela.h"
#include "definic.h"
#include "arquivo.h"
#include "menu.h"
#include "entrada.h"
#include "incluir.h"
#include "alterar.h"
#include "excluir.h"


/*--------------------------------------------------------------------------*\
 | main - Monitora as chamadas das rotinas de manutencao do banco de dados. |
 |                                                                          |
 | Recebe - Nada.                                                           |
 |                                                                          |
 | Retorna - Nada.                                                          |
\*--------------------------------------------------------------------------*/


void main (void)
{

  formato_arquivo fmt;

  char *nome_arquivo = arquivo_entrada (fmt);

  if (!nome_arquivo)
    return;

  int opcao;
  do {
    switch (opcao = menu ()) {
      case INCLUIR:
	incluir (nome_arquivo, fmt);
	break;
      case ALTERAR:
	alterar (nome_arquivo, fmt);
	break;
      case EXCLUIR:
	excluir (nome_arquivo, fmt);
	break;
    }
  } while (opcao != FIM);

  delete nome_arquivo;
  return;
}




